# Class FixedLengthVectorCoord

java.lang.Object
uk.ac.starlink.ttools.plot2.data.SingleCoord
uk.ac.starlink.ttools.plot2.data.FixedLengthVectorCoord

All Implemented Interfaces:
  `Coord`

public abstract class FixedLengthVectorCoord extends SingleCoord
Coord implementation for a fixed-length array of values.

Since:
  25 Jan 2025
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`FixedLengthVectorCoord.VectorDomain`
Domain for use with FixedLengthVectorCoord.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final FixedLengthVectorCoord.VectorDomain`
`FLOATING_VECTOR3_DOMAIN`
Domain for 3-vector.
`static final FixedLengthVectorCoord`
`XYZ_COORD`
3-vector coordinate.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FixedLengthVectorCoord(InputMeta meta, boolean isRequired, FixedLengthVectorCoord.VectorDomain domain, StorageType storage)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`readElements(Tuple tuple, int icol, double[] vec)`
Reads vector elements from a specified column in a given tuple into a supplied array.

### Methods inherited from class SingleCoord

`getInput, getInputs, getStorageType, isRequired, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Coord

`inputStorage`

## Field Details

### FLOATING_VECTOR3_DOMAIN

public static final FixedLengthVectorCoord.VectorDomain FLOATING_VECTOR3_DOMAIN
Domain for 3-vector.

### XYZ_COORD

public static final FixedLengthVectorCoord XYZ_COORD
3-vector coordinate.

## Constructor Details

### FixedLengthVectorCoord

protected FixedLengthVectorCoord(InputMeta meta, boolean isRequired, FixedLengthVectorCoord.VectorDomain domain, StorageType storage)
Constructor.

Parameters:
  `meta` - metadata for single input
  `isRequired` - true if this coordinate is required for plotting
  `domain` - domain
  `storage` - storage type

## Method Details

### readElements

public abstract void readElements(Tuple tuple, int icol, double[] vec)
Reads vector elements from a specified column in a given tuple into a supplied array.

Parameters:
  `tuple` - tuple
  `icol` - index of field in tuple corresponding to this Coord
  `vec` - array of at least nel elements to receive the result